Subject: Re: bug#12441: Acknowledgement (24.2.50; emacs-bzr-version is not reliable)

From: Harald Hanche-Olsen <[email-masked]>
Date: Fri, 14 Sep 2012 14:05:14 +0200 (CEST)

It occurs to me that I might have included a bit more detail with my
bug report.

I have a local (heavyweight) repository that tracks trunk from the
official emacs repository. The tip of that branch, at the time when
I compiled emacs, was indeed revision 110013, as reported in the
emacs-bzr-version variable.

>From my local trunk I did

bzr checkout --lightweight -r 109703 . ../r109703

and then I cd'd into that directory and compiled emacs there.
The resulting emacs shows revision 110013 in emacs-bzr-version.

I have not checked if doing a heavyweight checkout would yield the
same result.

- Harald